Retrieve Onchain Daily Limit
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"onchainDailyLimit": 2500,
"onchainDailyRemaining": 1000
}
}{
"error": "Unauthorized"
}{
"error": "Couldn't find associated Safe for the user"
}{
"message": "An unexpected error occurred."
}Account Management
Retrieve Onchain Daily Limit
deprecated
This endpoint is deprecated and will be removed in a future version.
Please use GET /api/v1/accounts/daily-limit instead.
Retrieves the current onchain daily spending limit for the authenticated user’s Safe account.
GET
/
api
/
v1
/
accounts
/
onchain-daily-limit
Retrieve Onchain Daily Limit
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/onchain-daily-limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"onchainDailyLimit": 2500,
"onchainDailyRemaining": 1000
}
}{
"error": "Unauthorized"
}{
"error": "Couldn't find associated Safe for the user"
}{
"message": "An unexpected error occurred."
}